<?php
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#
echo'<div class="wrapper">';
echo'<div id="breadcrumb">';
echo'<ul>';
if(empty($st)){
echo'<li class="first">Новости</li>';
}else{
echo'<li><a href="'.$link.SID.'">Новости</a></li>';
echo'<li>&#187;</li>';
if($st==1) echo'<li class="first">'.$n_db['nazvanie'].'</li>';
if($st==2) echo'<a href="'.$link.'st=1&amp;nevs='.$nevs.'&amp;'.SID.'">'.$n_db['nazvanie'].'</a></li><li>&#187;</li><li class="first">Добавить комментарий</li>';
}
echo'</ul>';
echo'</div></div>';
///////////////////////////////////////////////////////////// Середина
echo'<div class="wrapper">';
echo'<div class="container">';
echo'<div class="content">';
/////////////////////////////////
switch($st)
{
case 1:
echo'<h2>'.$n_db['nazvanie'].'</h2>';
echo'<p>Автор: <a href=/?p=profil&amp;id='.prof_dan(id,$n_db['avtor']).'&amp;'.SID.'">'.prof_dan(login,$n_db['avtor']).'</a></a>  <span>&nbsp;&bull;&nbsp;</span>  Дата <b>'.date("d.m.y",$n_db['data']).'</b></p>';
echo'<img src="images/new/'.$n_db['image'].'" width="610" height="190" alt="image" />';
echo'<p>&nbsp;&nbsp;'.bb_code($n_db['nevs']).'</p><hr />';

$db_comm = "SELECT * FROM s_comment WHERE `razdel`='s_nevs' and `ider`='".$n_db['id']."'";
$db_c = mysql_query($db_comm);
$total = mysql_num_rows($db_c);

if ($total>0){
if ($start < 0 || $start > $total){$start = 0;}
echo'<div id="comments"><h2> Комментарии ('.$total.')</h2><ul class="commentlist">';

$db_comfor= "SELECT * FROM s_comment WHERE `razdel`='s_nevs' and `ider`='".$n_db['id']."' ORDER BY id DESC LIMIT $start,3";
$db_vi = mysql_query($db_comfor);
 echo'';
while($com_v = mysql_fetch_array($db_vi)){

echo'<li class="comment_odd">
<div class="author"><a href="/?p=profil&amp;id='.prof_dan(id,$com_v['avtor']).'&amp;'.SID.'"><img class="avatar" src="images/avatar/'.prof_dan(avatar,$com_v['avtor']).'"  width="40" height="40" alt="" /></a><span class="name"><a href=/?p=profil&amp;id='.prof_dan(id,$com_v['avtor']).'&amp;'.SID.'">'.prof_dan(login,$com_v['avtor']).'</a></span>'.prof_onli($com_v['avtor'],2).'</div>
<div class="submitdate"><span class="wrote">Дата:</span> <a href="'.$link.'st=1&amp;nevs='.$nevs.'&amp;'.SID.'">'.date("d.m.y h:i",$com_v['data']).'</a></div>
<p>'.bb_code($com_v['text']).'</p>
</li>';
}
echo'</ul></div>';

if($total>3)page_strnavigation($link.'st=1&amp;nevs='.$nevs.'&amp;', 3, $start, $total);
}else{
echo'<h2> Комментариев нет </h2>';
}
break;
///////////////////////////////////////////////////////////////////////////
case 2:
echo'<h2>'.$n_db['nazvanie'].'</h2>';
if($numaz == 0){
echo'<div class="info">&nbsp;&nbsp;Добавлять комментарии могут только авторизованные пользователи ! </div>';
}else{
if(!empty($C_error))echo'<div class="error">'.$C_error.'</div>';
echo'<div class="clr"></div>';
echo'<div class="conta">';
echo'<form method="post" action="'.$link.'st=2&amp;nevs='.$nevs.'&amp;'.SID.'" id="form">';
echo'<div class="field"><label>';
bb_codimg();
echo'</label><div class="input"><textarea id="textarea" type="text" name="textnev"  maxlength="250" class="message" ></textarea></div></div>';
echo'<input type="hidden" name="addcomm" value="go"><div class="submit"><button type="submit">Добавить</button></div>';
echo'</form>';
echo'</div>';
include_once("includes/bbcod.php");
}
break;
///////////////////////////////////////////////////////////////////////////
default:
$total =all_dbname(s_nevs);
if ($total>0){
if ($start < 0 || $start > $total){$start = 0;}
$strdb = "SELECT * FROM s_nevs  ORDER BY id DESC LIMIT $start,2";
$rdd = mysql_query($strdb);
while($ron = mysql_fetch_array($rdd)){
echo'<h2>'.$ron['nazvanie'].'</h2>';
echo'<p><a href="'.$link.'st=1&amp;nevs='.$ron['id'].'&amp;'.SID.'" class="com fr">Комментарии ('.coll_comm(s_nevs,$ron['id']).')</a> <span class="date">'.date("d.m.y",$ron['data']).'</span> &nbsp;|&nbsp; Автор
<a href="/?p=profil&amp;id='.prof_dan(id,$ron['avtor']).'&amp;'.SID.'">'.prof_dan(login,$ron['avtor']).'</a> &nbsp;|&nbsp;</p><br />';
echo'<img src="/images/new/'.$ron['image'].'" width="610" height="190" alt="image" />';
$str=rtrim(mb_substr(strip_tags($ron['nevs']),0,250),"!,.-");
$str=substr($str,0,strrpos($str,' '));
echo'<p>&nbsp;&nbsp;'.bb_code($str).'  <...></p>';
echo'<p><a href="'.$link.'st=1&amp;nevs='.$ron['id'].'&amp;'.SID.'" class="rm fl">Прочитать</a></p><br /><br /><br />';
}
if($total>2)page_strnavigation($link, 2, $start, $total);
}else{echo'<h1>Нет записей</h1>';}
}
/////////////////////////////////////// Навигация
echo'</div><div class="column">';
echo'<div class="subnav">';
echo'<h2>Навигация</h2>';
echo'<ul>';
echo'<li><a href="'.$link.SID.'">Все новости ('.all_dbname(s_nevs).')</a></li>';
if(isset($nevs)) echo'<li><a href="'.$link.'st=2&amp;nevs='.$nevs.'&amp;'.SID.'">Комментировать</a></li>';
echo'</ul>';
echo'</div>';
echo'</div>';
///////////////////////////////////// низ
echo'<br class="clear" />';
echo'</div>';
echo'</div>';
?>